org.apache.ignite.internal.processors.datastructures

## Interface GridCacheRemovable

All Known Subinterfaces:
  GridCacheAtomicLongEx, GridCacheAtomicReferenceEx<T>, GridCacheAtomicSequenceEx, GridCacheAtomicStampedEx<T,S>, GridCacheCountDownLatchEx

All Known Implementing Classes:
  GridCacheAtomicLongImpl, GridCacheAtomicReferenceImpl, GridCacheAtomicSequenceImpl, GridCacheAtomicStampedImpl, GridCacheCountDownLatchImpl

    public interface GridCacheRemovable

Provides callback for marking object as removed.

### Method Summary

Methods
`void` `onInvalid(Exception err)`
`boolean` `onRemoved()` Set status of data structure as removed.

### Method Detail

#### onRemoved

    boolean onRemoved()

Set status of data structure as removed.

Returns:
  Current status.

#### onInvalid

    void onInvalid(@Nullable
                 Exception err)

Parameters:
  `err` - Error which cause data structure to become invalid.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015